package com.mdtexfx.processors.highlighters;

import org.fxmisc.richtext.StyleClassedTextArea;

public class MarkdownHighlighter implements SyntaxHighlighter {
  private final StyleClassedTextArea mEditor;

  public MarkdownHighlighter( final StyleClassedTextArea editor ) {
    assert editor != null;
    mEditor = editor;
  }

  @Override
  public void highlight(
      final int began, final int ended, final String style ) {
    mEditor.setStyleClass( began, ended, style );
  }
}
